#ifndef ELEASTSQUARES_H
#define ELEASTSQUARES_H

#include "../efunction.h"
#include "../ebasicarray_dec.h"
#include "../etable.h"

double eleastsquarefit(const efunction& func,const edoublearray& x,const edoublearray& y);
double emultifit_linear(const etable& t,long yind,const elongarray& xindarr);
void efit_linear(const edoublearray& x,const edoublearray& y,double& c0,double& c1,double& chi2);
void efit_linear(const edoublearray& x,const edoublearray& y,double& c0,double& c1,double& chi2,double& cov00,double& cov01,double& cov11);

#endif

